﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration
Partial Class CS_VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Me.BindDropDownList()
        End If
    End Sub

    Private Sub BindDropDownList()
        Dim conString As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(conString)
            Using cmd As SqlCommand = New SqlCommand("SELECT CountryId, CountryName FROM Countries", con)
                con.Open()
                ddlKRA.DataSource = cmd.ExecuteReader()
                ddlKRA.DataTextField = "CountryName"
                ddlKRA.DataValueField = "CountryId"
                ddlKRA.DataBind()
                con.Close()
            End Using
        End Using
    End Sub

    Protected Sub KRA_Changed(ByVal sender As Object, ByVal e As EventArgs)
        Dim countryId As Integer = Integer.Parse(ddlKRA.SelectedValue)
        Dim conString As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(conString)
            Using cmd As SqlCommand = New SqlCommand("SELECT StateId , StateName FROM States WHERE CountryId = @CountryId", con)
                con.Open()
                cmd.Parameters.AddWithValue("@CountryId", countryId)
                ddlSubKRA.DataSource = cmd.ExecuteReader()
                ddlSubKRA.DataTextField = "StateName"
                ddlSubKRA.DataValueField = "StateName"
                ddlSubKRA.DataBind()
                con.Close()
            End Using
        End Using
    End Sub
End Class
