﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.BindDropDownList();
        }
    }

    private void BindDropDownList()
    {
        string conString = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(conString))
        {
            using (SqlCommand cmd = new SqlCommand("SELECT CountryId, CountryName FROM Countries", con))
            {
                con.Open();
                ddlKRA.DataSource = cmd.ExecuteReader();
                ddlKRA.DataTextField = "CountryName";
                ddlKRA.DataValueField = "CountryId";
                ddlKRA.DataBind();
                con.Close();
            }
        }
    }

    protected void KRA_Changed(object sender, EventArgs e)
    {
        int countryId = int.Parse(ddlKRA.SelectedValue);
        string conString = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(conString))
        {
            using (SqlCommand cmd = new SqlCommand("SELECT StateId , StateName FROM States WHERE CountryId = @CountryId", con))
            {
                con.Open();
                cmd.Parameters.AddWithValue("@CountryId", countryId);
                ddlSubKRA.DataSource = cmd.ExecuteReader();
                ddlSubKRA.DataTextField = "StateName";
                ddlSubKRA.DataValueField = "StateName";
                ddlSubKRA.DataBind();
                con.Close();
            }
        }
    }
}